Organisations reference

Organisations endpoint authentication, parameters, request and response contracts.

Last updated:

On this pageGET /api/orgsPOST /api/orgsPATCH /api/orgs/{oid}GET /api/orgs/{oid}/birim-fiyatlarPUT /api/orgs/{oid}/birim-fiyatlarGET /api/orgs/{oid}/usersPOST /api/orgs/{oid}/users

Paths, methods, parameters and available schemas are generated from the OpenAPI document in the repository.

Note: These endpoints form the browser application contract and do not provide the same versioning assurance as v1. Use the versioned API for external integrations.

GET /api/orgs

List organisations

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

For error meanings and client actions, see the error code glossary.

POST /api/orgs

Create organisation

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Request body

application/json

FieldTypeRequiredDescription
namestring | nullNo
slugstring | nullNo
activeboolean | nullNo
limitsobject | nullNo
settingsobject | nullNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

PATCH /api/orgs/{oid}

Update organisation

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
oidpathintegerYes

Request body

application/json

FieldTypeRequiredDescription
namestring | nullNo
slugstring | nullNo
activeboolean | nullNo
limitsobject | nullNo
settingsobject | nullNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

GET /api/orgs/{oid}/birim-fiyatlar

Get unit prices

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
oidpathintegerYes

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

PUT /api/orgs/{oid}/birim-fiyatlar

Update unit prices

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
oidpathintegerYes

Request body

application/json

Type: nesne.

{
  "title": "Body"
}

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

GET /api/orgs/{oid}/users

Organisation users

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
oidpathintegerYes

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

POST /api/orgs/{oid}/users

Create user

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
oidpathintegerYes

Request body

application/json

FieldTypeRequiredDescription
usernamestring | nullNo
full_namestring | nullNo
emailstring | nullNo
rolestring | nullNo
activeboolean | nullNo
passwordstring | nullNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.